package djmil.cordacheckers.gameresult;

import java.util.List;

import net.corda.v5.application.marshalling.JsonMarshallingService;

public class RankingFlowResponce {
    public final List<Rank> successStatus;
    public final String failureStatus;

    public RankingFlowResponce(List<Rank> success) {
        this.successStatus = success;
        this.failureStatus = null;
    }

    public RankingFlowResponce(Exception exception) {
        this.successStatus = null;
        this.failureStatus = exception.getMessage();
    }

    public String toJsonEncodedString(JsonMarshallingService jsonMarshallingService) {
        return jsonMarshallingService.format(this);
    }
    
}